//
// Copyright Notice
// ================
// BOCHS is Copyright 1994-1999 by Kevin P. Lawton.
//
// BOCHS is commercial software.
//
// For more information, read the file 'LICENSE' included in the bochs
// distribution.  If you don't have access to this file, or have questions
// regarding the licensing policy, the author may be contacted via:
//
//     US Mail:  Kevin Lawton
//               439 Marrett Rd.
//               Lexington, MA 02421-7714
//
//     EMail:    bochs@world.std.com



// Classes for helping to make checkpoints of the emulator state.



#include "bochs.h"


FILE *state_file::get_handle()
{
  fprintf(stderr, "# state_file::get_handle()\n");
  return NULL;
}
	
void state_file::write(Bit8u)
{
  fprintf(stderr, "# state_file::write(Bit8u)\n");
  exit(1);
}

void state_file::write(Bit16u)
{
  fprintf(stderr, "# state_file::write(Bit16u)\n");
  exit(1);
}

void state_file::write(Bit32u)
{
  fprintf(stderr, "# state_file::write(Bit32u)\n");
  exit(1);
}

void state_file::write(Bit64u)
{
  fprintf(stderr, "# state_file::write(Bit64u)\n");
  exit(1);
}

void state_file::write(const void *, size_t)
{
  fprintf(stderr, "# state_file::write(const void *, size_t)\n");
  exit(1);
}

void state_file::read(Bit8u &)
{
  fprintf(stderr, "# state_file::read(uint8 &)\n");
  exit(1);
}

void state_file::read(Bit16u &)
{
  fprintf(stderr, "# state_file::read(uint16 &)\n");
  exit(1);
}

void state_file::read(Bit32u &)
{
  fprintf(stderr, "# state_file::read(uint32 &)\n");
  exit(1);
}

void state_file::read(Bit64u &)
{
  fprintf(stderr, "# state_file::read(uint64 &)\n");
  exit(1);
}

void state_file::read(void *, size_t)
{
  fprintf(stderr, "# state_file::read(void *, size_t)\n");
  exit(1);
}

void state_file::write_check(const char *)
{
  fprintf(stderr, "# state_file::write_check()\n");
  exit(1);
}

void state_file::read_check (const char *)
{
  fprintf(stderr, "# state_file::read_check()\n");
  exit(1);
}

state_file::state_file (const char *name, const char *options)
{
UNUSED(name);
UNUSED(options);
  bx_printf("state_file::state_file()\n");
}

state_file::state_file (FILE *f)
{
UNUSED(f);
  bx_printf("state_file::state_file(FILE *)\n");
}

state_file::~state_file()
{
  bx_printf("state_file::~state_file()\n");
}
